Summary:   Library to program and control the FTDI USB controller
Name:      libftdi
Version:   0.11
Release:   alt1
Copyright: LGPL
Group:     System/Libraries
Vendor:    Intra2net AG
URL:       http://www.intra2net.com/opensource/ftdi/
Packager:  Evgeny Sinelnikov <sin@altlinux.ru>

Source:    %name-%version.tar.gz
Requires:  libusb
BuildRequires: libusb, libusb-devel, pkg-config, doxygen

%package   devel
Summary:   Header files and libraries for libftdi
Group:     Development/C
Requires:  libftdi = %version, libusb-devel

%package   devel-static
Summary:   Static libraries for libftdi
Group:     Development/C
Requires:  libftdi-devel = %version

%package   docs
Summary:   Documentation files for libftdi
Group:     Development/C

%description 
Userspace library to program and control the FTDI USB controller

%description devel
Header files for userspace libftdi library

%description devel-static
Static libraries for userspace libftdi library

%description docs
Documentation files for userspace libftdi library

%prep
%setup -q

%build
%configure
%make_build

%install
%makeinstall

# Cleanup examples
rm -f %buildroot/usr/bin/simple
rm -f %buildroot/usr/bin/bitbang
rm -f %buildroot/usr/bin/bitbang2
rm -f %buildroot/usr/bin/bitbang_ft2232
rm -f %buildroot/usr/bin/bitbang_cbus
rm -f %buildroot/usr/bin/find_all

%files
%_libdir/lib*.so.*

%files devel
%_bindir/libftdi-config
%_libdir/lib*.so
%_libdir/pkgconfig/*.pc
%_includedir/*

%files devel-static
%_libdir/lib*.a

%files docs
%doc doc/html doc/man

%changelog
* Wed Mar 12 2008 Evgeny Sinelnikov <sin@altlinux.ru> 0.11-alt1
- Update to 0.11

* Mon Jul 02 2007 Evgeny Sinelnikov <sin@altlinux.ru> 0.10-alt1
- Update to 0.10

* Mon Jun 20 2005 Evgeny Sinelnikov <sin@altlinux.ru> 0.6-alt1
- Update to next version
+ Set library version on .so file again
+ Configurable serial line parameters
+ Improved filtering of status bytes - Fix small flow bug
+ Extended FT2232C support
+ Small improvement to the baudrate calculation code
+ Error handling cleanup

* Thu Sep 30 2004 Evgeny Sinelnikov <sin@altlinux.ru> 0.5-alt1
- Update to next version

* Mon Aug 09 2004 Evgeny Sinelnikov <sin@altlinux.ru> 0.4-alt5
- add ftdi_usb_reopen() function for testing

* Sat Aug 07 2004 Evgeny Sinelnikov <sin@altlinux.ru> 0.4-alt4
- add ignore status bytes with chunk sizes above than 64

* Mon Jul 26 2004 Evgeny Sinelnikov <sin@altlinux.ru> 0.4-alt3
- merge changes to upstream
+ some cosmetic changes

* Fri Jul 23 2004 Evgeny Sinelnikov <sin@altlinux.ru> 0.4-alt2
- add function to open device by description or serial

* Fri Jul 23 2004 Evgeny Sinelnikov <sin@altlinux.ru> 0.4-alt1
- initial release
+ add patch: ftdi_read_data() lose usb errors
             ftdi_write_data() lose usb errors

